Bug 1274782 - [userinterface_public_525]Can not get metrics on IE11 with default IE options
[userinterface_public_525]Can not get metrics on IE11 with default IE options
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Padgett
Yanping Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 10:02 EDT by Yanping Zhang
Modified: 2015-11-23 16:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:14:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2015-10-23 10:02:30 EDT
Description of problem:
Can not get pod metrics on IE11 when "Internet Options"->"Security"->"Custom level"-> "Miscellaneous"->"Access data sources across domians" is "disable" .
"Access denied" can be seen in the console log.

Version-Release number of selected component (if applicable):
IE11
openshift v1.0.6-880-g5f33e54
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

How reproducible:
Always

Steps to Reproduce:
1.Create pod.
$oc create -f origin/examples/project-quota/pod-with-resources -n pro1
2. Login on IE11 browser that "Internet Options"->"Security"->"Custom level"-> "Miscellaneous"->"Access data sources across domians" is "disable" .
 When pods is running, view pod metrics
3.

Actual results:
2.Can not get pod metrics. "Access denied" can be seen in the console log.

Expected results:
2.Should show metrics.

Additional info:
It works well when the option is enabled.
Comment 1 Samuel Padgett 2015-10-23 14:17:22 EDT
I believe the problem is still that you haven't accepted the hawkular certificate permanently in IE. I was able to get metrics to work in IE after accepting the certificate without changing security settings.

Can you try the steps here to install the certificate in IE?

http://stackoverflow.com/questions/11690191/cross-domain-request-from-http-to-https-aborts-immediately

The certificate you need to have installed is for the hawkular metrics route.
Comment 2 Yanping Zhang 2015-10-26 04:55:42 EDT
Tested with latest origin code containing the pr5356.
openshift v1.0.6-946-g5954394
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

Installed certificate for hawkular metrics route according to the link in comment1 On IE11( version: 11.0.9600.17041), pod metrics can be shown now.
Also try to install certificate on another IE11(11.0.9600.17843), can not find the "Install Certificate" button on "Certificate" pop-up, it may be caused by something about IE setting.

Since the issue can be resolved by installing certificate, So move the bug to Verified.

Note You need to log in before you can comment on or make changes to this bug.